%define name	arpwatch
%define version 2.1a13
%define release %mkrel 4

Summary:	Network monitoring tools for tracking IP addresses on the network
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		2
License:	BSD
Group:		Monitoring
URL:		ftp://ftp.ee.lbl.gov
Source0:	ftp://ftp.ee.lbl.gov/arpwatch-%version.tar.bz2
Source1:	arpwatch.init.bz2
Source2:	arpwatch.sysconfig.bz2
Patch0:		arpwatch-Makefile-fixes.patch.bz2
Patch1:		arpwatch-2.1a11-noip.diff.bz2
BuildRequires:	libpcap-devel
Requires(post): rpm-helper
Requires(preun):rpm-helper
BuildRoot:	%{_tmppath}/%{name}-root

%description
The arpwatch package contains arpwatch and arpsnmp.  Arpwatch and arpsnmp
are both network monitoring tools.  Both utilities monitor Ethernet or
FDDI network traffic and build databases of Ethernet/IP address pairs,
and can report certain changes via email.

Install the arpwatch package if you need networking monitoring devices
which will automatically keep traffic of the IP addresses on your
network.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

bzcat %{SOURCE1} > arpwatch.init
bzcat %{SOURCE2} > arpwatch.sysconfig

%build
libtoolize --copy --force

%serverbuild

%configure

%make \
    ARPDIR=%{_localstatedir}/arpwatch \
    SENDMAIL="%{_sbindir}/sendmail"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_localstatedir}/arpwatch
install -d %{buildroot}%{_mandir}/man8

%makeinstall_std install-man

for n in arp2ethers massagevendor; do
	install -m755 $n %{buildroot}%{_localstatedir}/arpwatch
done

for n in *.awk *.dat; do
	install -m644 $n %{buildroot}%{_localstatedir}/arpwatch
done

install -m0755 arpwatch.init %{buildroot}%{_initrddir}/arpwatch
install -m0644 arpwatch.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/arpwatch 

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc README CHANGES
%config(noreplace) %attr(0755,root,root) %{_initrddir}/arpwatch
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/arpwatch
%{_sbindir}/*
%{_mandir}/man*/*
%dir %{_localstatedir}/arpwatch
%config(noreplace) %{_localstatedir}/arpwatch/arp.dat
#
# (fg) 20010403 DON'T PUT THIS AS NOREPLACE! Ethernet codes are bound to
# change, and if ever you have a new one, submit it to arpwatch author!
#
%config %{_localstatedir}/arpwatch/ethercodes.dat
%{_localstatedir}/arpwatch/*.awk
%{_localstatedir}/arpwatch/arp2ethers
%{_localstatedir}/arpwatch/massagevendor

%changelog
* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1a13-4mdk
- fix rpmlint errors (PreReq)

* Wed Aug 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1a13-3mdk
- fix rpmlint errors (PreReq) 

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1a13-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sat Nov 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1a13-1mdk
- 2.1a13
- fixed S1 to make it configurable using S2

* Tue Jun 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1a11-5mdk
- added P1
- misc spec file fixes

* Mon Apr 19 2004 Michael Scherer <misc@mandrake.org> 2.1a11-4mdk
- remove csh requirement
 
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1a11-3mdk
- rebuild
- use %%make macro

* Sat Aug 10 2002 Warly <warly@mandrakesoft.com> 2.1a11-2mdk
- rpmlint fixes

* Thu Mar 28 2002 Warly <warly@mandrakesoft.com> 2.1a11-1mdk
- new version

* Tue Apr 03 2001 Francis Galiegue <fg@mandrakesoft.com> 2.1a10-2mdk

- Use %%serverbuild and %%_{post,preun}_service
- Added comment to explain why ethercodes.dat shouldn't be noreplace

* Mon Jan 01 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.1a10-1mdk
- 2.1a10
- security fix, use mkstemp instead of mktemp

* Wed Aug 30 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-12mdk
- Use %{_initrddir}
- Oops, fixed %preun

* Tue Aug 22 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-11mdk

- /var/arpwatch/arp.dat is %config(noreplace)
- Added %post and %preun for chkconfig

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1a6-10mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-9mdk

- s,tmpdir,tmppath,


* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-8mdk

- Split to its own source package
- BM
